# eoDetTournamentWorthSelect< EOT, WorthT > Class Template Reference

An instance of eoSelectPerf2Worth that does selection from the Worthes using a ... More...

`#include <eoSelectFromWorth.h>`

Inheritance diagram for eoDetTournamentWorthSelect< EOT, WorthT >:

List of all members.

## Public Types

typedef std::vector< WorthT >::iterator | worthIterator

## Public Member Functions

| eoDetTournamentWorthSelect (eoPerf2Worth< EOT, WorthT > &perf2Worth, unsigned _tSize)
virtual const EOT & | operator() (const eoPop< EOT > &pop)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned | tSize

## Detailed Description

### template<class EOT, class WorthT = double>
class eoDetTournamentWorthSelect< EOT, WorthT >

An instance of eoSelectPerf2Worth that does selection from the Worthes using a ...

determinisitic tournament, yes!

Definition at line 91 of file eoSelectFromWorth.h.

The documentation for this class was generated from the following file:

- eoSelectFromWorth.h